Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class GammaTransfer

    java.lang.Object
      org.apache.batik.ext.awt.image.GammaTransfer

All Implemented Interfaces:
  TransferFunction

    public class GammaTransfer

extends Object
implements TransferFunction

GammaTransfer.java This class defines the Gamma type transfer function for the feComponentTransfer filter, as defined in chapter 15, section 11 of the SVG specification.

Field Summary
`float` | `amplitude` The amplitude of the Gamma function
`float` | `exponent` The exponent of the Gamma function
`byte[]` | `lutData` This byte array stores the lookuptable data
`float` | `offset` The offset of the Gamma function

Constructor Summary
`GammaTransfer(float amplitude, float exponent, float offset)` Three floats as the input for the Gamma function

Method Summary
`byte[]` | `getLookupTable()` This method will return the lut data in order to construct a LookUpTable object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lutData

    public byte[] lutData

  This byte array stores the lookuptable data

### amplitude

    public float amplitude

  The amplitude of the Gamma function

### exponent

    public float exponent

  The exponent of the Gamma function

### offset

    public float offset

  The offset of the Gamma function

Constructor Detail

### GammaTransfer

    public GammaTransfer(float amplitude,
                         float exponent,
                         float offset)

  Three floats as the input for the Gamma function

Method Detail

### getLookupTable

    public byte[] getLookupTable()

  This method will return the lut data in order to construct a LookUpTable object

  Specified by:
    `getLookupTable` in interface `TransferFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.